/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#ifndef DOMAINCOMBOBOX_H_
#define DOMAINCOMBOBOX_H_


#include <qcombobox.h>
#include <qstring.h>
#include <qmap.h>
#include <qwidget.h>
#include <qsqlcursor.h>
#include <qsqlquery.h>



class DomainCombobox : public QComboBox {
	
	Q_OBJECT
	Q_PROPERTY( QString domain READ domain WRITE setDomain )

	public:
		// Konstruktor
		DomainCombobox( QWidget* parent=0, const char* name=0 );
		
		QString domain() const;
		void setDomain( const QString &name );

		void zuruecksetzen();
		
	private:

		typedef QMap<int, QString> IndexZuName;
		IndexZuName indexZuName;
		
};



#endif /*DOMAINCOMBOBOX_H_*/
