/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#ifndef KUNDENCOMBOBOX_H_
#define KUNDENCOMBOBOX_H_


#include <qcombobox.h>
#include <qstring.h>
#include <qmap.h>
#include <qwidget.h>
#include <qsqlcursor.h>
#include <qsqlquery.h>



class KundenCombobox : public QComboBox {
	
	Q_OBJECT
	Q_PROPERTY( int kunde READ kunde WRITE setKunde )

	public:
		// Konstruktor
		KundenCombobox( QWidget* parent=0, const char* name=0 );
		
		int kunde() const;
		void setKunde( const int &kdnr );

		void zuruecksetzen();
		
	private:

		typedef QMap<int, int> IndexZuID;
		IndexZuID indexZuID;
		
};



#endif /*KUNDENCOMBOBOX_H_*/
