/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#include "BenutzerCursor.h"


// Konstruktor
BenutzerCursor::BenutzerCursor() : QSqlCursor( "Benutzer" ) {

	QSqlFieldInfo feldKunde( "_Kunde", QVariant::String );
	append( feldKunde );
	setCalculated( feldKunde.name(), TRUE );
	feldKunde.toField().setReadOnly(true);
}



QVariant BenutzerCursor::calculateField( const QString & name ) {

	if ( name == "_Kunde" ) {
		QSqlQuery query( "SELECT  Kunde.Name, Kunde.Vorname  FROM  Kunde WHERE Kunde.id = (SELECT  Vertrag.Kunde  FROM  Vertrag  WHERE  Vertrag.id = '"+ field("Vertrag")->value().toString() +"');" );
		if ( query.next() ) {
			QString tmp;
			tmp = query.value(0).toString() + ", " + query.value(1).toString();
			return tmp;
		}
	}
	return QVariant( QString::null );
}

