/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#include "DomainCursor.h"


// Konstruktor
DomainCursor::DomainCursor() : QSqlCursor( "Domain" ) {

	// Benutzer-Feld
	QSqlFieldInfo feldUID( "_UID", QVariant::String );
	append( feldUID );
	setCalculated( feldUID.name(), TRUE );
	feldUID.toField().setReadOnly(true);
}



QVariant DomainCursor::calculateField( const QString & name ) {

	if ( name == "_UID" ) {
		QSqlQuery query( "SELECT  Benutzer.uid  FROM  Benutzer  WHERE  Benutzer.Domain = '"+ field("Name")->value().toString() +"';" );
		if ( query.next() ) {
			return QVariant( query.value(0).toString() );
		}
	}
	return QVariant( QString::null );
}

