/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#include "AnredeCombobox.h"


/**
 *	 Konstruktor
 */
AnredeCombobox::AnredeCombobox( QWidget* parent, const char* name )
    : QComboBox( parent, name ) {

    insertItem( "Herr",  0 );
    insertItem( "Frau",  1 );
    insertItem( "Firma", 2 );
}



QString AnredeCombobox::anrede() const {

	return currentText();
}



void AnredeCombobox::setAnrede( const QString &anredeText ) {
	
	for ( int i = 0; i < count(); i++ ) {
	    if ( text(i) == anredeText ) {
			setCurrentItem(i);
	    }
	}
}
