/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#ifndef DATENBANKCOMBOBOX_H_
#define DATENBANKCOMBOBOX_H_


#include <qcombobox.h>
#include <qstring.h>
#include <qmap.h>
#include <qwidget.h>
#include <qsqlcursor.h>
#include <qsqlquery.h>



class DatenbankCombobox : public QComboBox {
	
	Q_OBJECT
	Q_PROPERTY( QString datenbank READ datenbank WRITE setDatenbank )

	public:
		// Konstruktor
		DatenbankCombobox( QWidget* parent=0, const char* name=0 );
		
		QString datenbank() const;
		void setDatenbank( const QString &name );

		void zuruecksetzen();
		
	private:

		typedef QMap<int, QString> IndexZuName;
		IndexZuName indexZuName;
		
};



#endif /*DATENBANKCOMBOBOX_H_*/
