/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#ifndef MAILBOXCOMBOBOX_H_
#define MAILBOXCOMBOBOX_H_


#include <qcombobox.h>
#include <qstring.h>
#include <qmap.h>
#include <qwidget.h>
#include <qsqlcursor.h>
#include <qsqlquery.h>



class MailboxCombobox : public QComboBox {
	
	Q_OBJECT
	Q_PROPERTY( QString mailbox READ mailbox WRITE setMailbox )

	public:
		// Konstruktor
		MailboxCombobox( QWidget* parent=0, const char* name=0 );
		
		QString mailbox() const;
		void setMailbox( const QString &name );

		void zuruecksetzen();
		
	private:

		typedef QMap<int, QString> IndexZuName;
		IndexZuName indexZuName;
		
};



#endif /*MAILBOXCOMBOBOX_H_*/
