/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#ifndef VERTRAGSCOMBOBOX_H_
#define VERTRAGSCOMBOBOX_H_


#include <qcombobox.h>
#include <qstring.h>
#include <qmap.h>
#include <qdatetime.h>
#include <qwidget.h>
#include <qsqlcursor.h>
#include <qsqlquery.h>



class VertragsCombobox : public QComboBox {
	
	Q_OBJECT
	Q_PROPERTY( int vertrag READ vertrag WRITE setVertrag )

	public:
		// Konstruktor
		VertragsCombobox( QWidget* parent=0, const char* name=0 );
		
		int vertrag() const;
		void setVertrag( const int &nr );

		void zuruecksetzen();
		
	private:

		typedef QMap<int, int> IndexZuID;
		IndexZuID indexZuID;
		
};



#endif /*VERTRAGSCOMBOBOX_H_*/
