/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#ifndef DATENBANK_H_
#define DATENBANK_H_

#include <qstring.h>
#include <qlistview.h>
#include <qsqlquery.h>
#include <qsqldatabase.h>
#include <qdatatable.h>
#include <qsqlcursor.h>
#include <qsqlselectcursor.h>
#include <qsqlform.h>

class Datenbank {
private:
	QSqlDatabase* DB;
	QSqlCursor* sqlCursor;
	QSqlSelectCursor* sqlAuswahl;
	QDataTable* ergebnisTabelle ;

public:
	// Konstruktor
	Datenbank();

	bool verbinden( QString host, int port, QString name, QString user, QString pass, bool ssl );
	bool open();

	QDataTable* getDaten( const QString &sql );
};



#endif
