/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */

#ifndef KONFIGURATION_H
#define KONFIGURATION_H

#include "GUI/GUI_Konfiguration.h"
#include "Datenbank.h"

#include <qtextstream.h>
#include <qmessagebox.h>
#include <qpushbutton.h>
#include <qdatetime.h>
#include <qlineedit.h>
#include <qstring.h>
#include <qlabel.h>
#include <qfile.h>
#include <qsqldatabase.h>
#include <qsqlquery.h>



class Konfiguration : public GUI_Konfiguration {
private:
	QFile* datei;
	Datenbank* DB;

public:
	// Konstruktor
	Konfiguration();

	void show();

	void laden();
	void speichern();
	bool test();

	void testMeldung();
	Datenbank* getDB();
};



#endif
