/*
 *  Projektarbeit zur Vorlesung "Datenbanken" von Prof. Dr. Zhou
 *
 *  "Kundenverwaltungsystem fr ein Webhosting-Unternehmen"
 *
 *  NTA FH Isny, WS 2005/2006
 *  David Mayr, 12.Info
 *
 */


#include <qapplication.h>


#include "HauptFenster.h"


int main(int argc, char *argv[]) {

	// Anwendung initialisieren
	QApplication anwendung(argc, argv);

	// Splash-Screen erstellen ...
	QPixmap pixmap("Kundenverwaltung.png");
	QSplashScreen *splash = new QSplashScreen(pixmap);
	splash->show();

	// Hauptfenster erstellen
	HauptFenster*  hauptFenster = new HauptFenster();

	// Hauptfenster anzeigen
	hauptFenster->show();
	
	// das Hauptfenster zum Hauptfenster der Anwendung machen
	anwendung.setMainWidget( hauptFenster );

	// Splash enfernen (sonst per Klick)
	splash->finish(hauptFenster);
	delete splash;

	// Anwendung starten
	return anwendung.exec();

}
